Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ZipArchiveFactory Class Reference

Specialisation of ArchiveFactory for Zip files. More...

`#include <OgreZipArchiveFactory.h>`

Inheritance diagram for Ogre::ZipArchiveFactory:

[legend]
List of all members.

## Public Methods

virtual | ~ZipArchiveFactory ()
String | getArchiveType (void) const
ArchiveEx * | createObj (const String &name)
| 'Produces' a new object.
String | getType () const
| Returns the factory type.

## Detailed Description

Specialisation of ArchiveFactory for Zip files.

Definition at line 12 of file OgreZipArchiveFactory.h.

## Constructor & Destructor Documentation

Ogre::ZipArchiveFactory::~ZipArchiveFactory | ( |  | ) | `[virtual]`

| Definition at line 31 of file OgreZipArchiveFactory.cpp.

## Member Function Documentation

ArchiveEx * Ogre::ZipArchiveFactory::createObj | ( | const String & | name | ) | `[virtual]`

'Produces' a new object.

Parameters:

  name | Name of the object to create

Returns:
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::ArchiveFactory.

Definition at line 42 of file OgreZipArchiveFactory.cpp.

References Ogre::String.

String Ogre::ZipArchiveFactory::getArchiveType | ( | void |  | ) | const

| Definition at line 36 of file OgreZipArchiveFactory.cpp. References Ogre::String.

String Ogre::ZipArchiveFactory::getType | ( | void |  | ) | const`[virtual]`

Returns the factory type.

Returns:
  The factory type.

Implements Ogre::ArchiveFactory.

Definition at line 48 of file OgreZipArchiveFactory.cpp.

References Ogre::String.

The documentation for this class was generated from the following files:

- OgreZipArchiveFactory.h
- OgreZipArchiveFactory.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:49 2004